| Home | Libraries | People | FAQ | More

## Class bad_alloc

boost::interprocess::bad_alloc

## Synopsis

    // In header: <boost/interprocess/exceptions.hpp>

    class bad_alloc : public boost::interprocess::interprocess_exception {
    public:
      // construct/copy/destruct
      bad_alloc();

      // public member functions
      const char * what() const;
    };

## Description

This is the exception thrown by named interprocess_semaphore when a deadlock situation is detected or when an error is detected in the post/wait operation This is the exception thrown by synchronization objects when there is an error in a wait() function This exception is thrown when a named object is created in "open_only" mode and the resource was not already created This exception is thrown when a memory request can't be fulfilled.

### `bad_alloc` public construct/copy/destruct

1.     bad_alloc();

### `bad_alloc` public member functions

1.     const char * what() const;